File: composer.json

Recommend this page to a friend!
  Classes of Marcel Pociot  >  BotMan  >  composer.json  >  Download  
File: composer.json
Role: Auxiliary data
Content type: text/plain
Description: Auxiliary data
Class: BotMan
A framework agnostic PHP library to build chat bot
Author: By
Last change: Add support for Laravel 8.

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>
Update minimum symfony/cache 4 version.

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>
Readd minimum patch version for symfony/cache 3

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>
Patch for CVE-2019-18889

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>
Patch CVE-2019-10912

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>
Test againsts Laravel 7 (#1191)

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>
Support for Laravel 6 (#1190)

* allow tightenco/collect~6.0

* Update tests to support updated phpunit.

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>

* Add workflow for Laravel 6

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>

* Split laravel 5.4 tests.

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>

* Use custom name.

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>

Co-authored-by: Brian Faust <faustbrian@users.noreply.github.com>
allow tightenco/collect~6.0 (#1179)

Add redis to github-action.

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>
Changes to project:

- Remove `sllh/php-cs-fixer-styleci-bridge` as it's no longer maintained.
- Remove php-cs-fixer command since it not possible right now, should
able to depends on StyleCI.
- Push minimum Testbench version to 3.5 and phpunit to 7.

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>
Allow prefer-stable and minimum-stability dev

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>
Add github actions to tests on Laravel 5.4-5.8 on PHP 7.1

Signed-off-by: Mior Muhammad Zaki <crynobone@gmail.com>
Edit PHP support (#1153)

Updated compatibility for tightenco/collect (#1063)


symfony/http-foundation 5.0 (#1117)

Date: 2 months ago
Size: 1,840 bytes
 

Contents

Class file image Download
{
    "name": "botman/botman",
    "license": "MIT",
    "description": "Create messaging bots in PHP with ease.",
    "keywords": [
        "Bot",
        "BotMan",
        "Chatbot"
    ],
    "homepage": "http://github.com/botman/botman",
    "authors": [
        {
            "name": "Marcel Pociot",
            "email": "m.pociot@gmail.com"
        }
    ],
    "require": {
        "php": ">=7.1",
        "symfony/http-foundation": "^2.8 || ^3.0 || ^4.0 || ^5.0",
        "tightenco/collect": "^5.0 || ^6.0 || ^7.0 || ^8.0",
        "opis/closure": "^2.3 || ^3.0",
        "mpociot/pipeline": "^1.0.2",
        "react/socket": "~1.0",
        "spatie/macroable": "^1.0",
        "psr/container": "^1.0"
    },
    "require-dev": {
        "codeigniter/framework": "~3.0",
        "orchestra/testbench": "^3.4 || ^4.0 || ^5.0 || ^6.0",
        "phpunit/phpunit": "^6.0 || ^7.0 || ^8.0",
        "mockery/mockery": "^1.1",
        "doctrine/cache": "^1.6",
        "symfony/cache": "^3.4.35 || ^4.3.7 || ^5.0",
        "ext-curl": "*"
    },
    "suggest": {
        "doctrine/cache": "Use any Doctrine cache driver for cache",
        "symfony/cache": "Use any Symfony cache driver for cache"
    },
    "autoload": {
        "psr-4": {
            "BotMan\\BotMan\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "BotMan\\BotMan\\Tests\\": "tests/"
        }
    },
    "extra": {
        "branch-alias": {
            "dev-master": "2.1-dev"
        },
        "laravel": {
            "providers": [
                "BotMan\\BotMan\\BotManServiceProvider"
            ],
            "aliases": {
                "BotMan": "BotMan\\BotMan\\Facades\\BotMan"
            }
        }
    },
    "scripts": {
        "test": "phpunit"
    },
    "prefer-stable": true,
    "minimum-stability": "dev"
}

For more information send a message to info at phpclasses dot org.